Index: uspace/lib/drv/generic/driver.c
===================================================================
--- uspace/lib/drv/generic/driver.c	(revision d35ac1db915f076a3072db1fdc5f8c6a9f8d3dba)
+++ uspace/lib/drv/generic/driver.c	(revision 36f2b3edac07f9ece6c911ca194da354c987394c)
@@ -54,15 +54,12 @@
 #include "driver.h"
 
-/* driver structure */
-
+/** Driver structure */
 static driver_t *driver;
 
-/* devices */
-
+/** Devices */
 LIST_INITIALIZE(devices);
 FIBRIL_MUTEX_INITIALIZE(devices_mutex);
 
-/* interrupts */
-
+/** Interrupts */
 static interrupt_context_list_t interrupt_contexts;
 
@@ -85,5 +82,5 @@
 	
 	ctx = find_interrupt_context_by_id(&interrupt_contexts, id);
-	if (NULL != ctx && NULL != ctx->handler)
+	if (ctx != NULL && ctx->handler != NULL)
 		(*ctx->handler)(ctx->dev, iid, icall);
 }
@@ -101,9 +98,9 @@
 	add_interrupt_context(&interrupt_contexts, ctx);
 	
-	if (NULL == pseudocode)
+	if (pseudocode == NULL)
 		pseudocode = &default_pseudocode;
 	
 	int res = ipc_register_irq(irq, dev->handle, ctx->id, pseudocode);
-	if (0 != res) {
+	if (res != EOK) {
 		remove_interrupt_context(&interrupt_contexts, ctx);
 		delete_interrupt_context(ctx);
@@ -118,9 +115,10 @@
 	    dev, irq);
 	int res = ipc_unregister_irq(irq, dev->handle);
-
-	if (NULL != ctx) {
+	
+	if (ctx != NULL) {
 		remove_interrupt_context(&interrupt_contexts, ctx);
 		delete_interrupt_context(ctx);
 	}
+	
 	return res;
 }
@@ -146,7 +144,8 @@
 	fibril_mutex_lock(&devices_mutex);
 	link_t *link = devices->next;
+	
 	while (link != devices) {
 		dev = list_get_instance(link, device_t, link);
-		if (handle == dev->handle) {
+		if (dev->handle == handle) {
 			fibril_mutex_unlock(&devices_mutex);
 			return dev;
@@ -154,6 +153,7 @@
 		link = link->next;
 	}
+	
 	fibril_mutex_unlock(&devices_mutex);
-
+	
 	return NULL;
 }
@@ -162,5 +162,5 @@
 {
 	char *dev_name = NULL;
-	int res = EOK;
+	int res;
 	
 	devman_handle_t dev_handle = IPC_GET_ARG1(*icall);
@@ -177,5 +177,5 @@
 	
 	res = driver->driver_ops->add_device(dev);
-	if (res == 0) {
+	if (res == EOK) {
 		printf("%s: new device with handle=%" PRIun " was added.\n",
 		    driver->name, dev_handle);
@@ -194,10 +194,10 @@
 	/* Accept connection */
 	ipc_answer_0(iid, EOK);
-
+	
 	bool cont = true;
 	while (cont) {
 		ipc_call_t call;
 		ipc_callid_t callid = async_get_call(&call);
-
+		
 		switch (IPC_GET_IMETHOD(call)) {
 		case IPC_M_PHONE_HUNGUP:
@@ -240,14 +240,14 @@
 	 * use the device.
 	 */
-
+	
 	int ret = EOK;
 	/* open the device */
-	if (NULL != dev->ops && NULL != dev->ops->open)
+	if (dev->ops != NULL && dev->ops->open != NULL)
 		ret = (*dev->ops->open)(dev);
 	
 	ipc_answer_0(iid, ret);
-	if (EOK != ret)
+	if (ret != EOK)
 		return;
-
+	
 	while (1) {
 		ipc_callid_t callid;
@@ -260,5 +260,5 @@
 		case IPC_M_PHONE_HUNGUP:
 			/* close the device */
-			if (NULL != dev->ops && NULL != dev->ops->close)
+			if (dev->ops != NULL && dev->ops->close != NULL)
 				(*dev->ops->close)(dev);
 			ipc_answer_0(callid, EOK);
@@ -272,5 +272,5 @@
 				remote_handler_t *default_handler =
 				    device_get_default_handler(dev);
-				if (NULL != default_handler) {
+				if (default_handler != NULL) {
 					(*default_handler)(dev, callid, &call);
 					break;
@@ -286,5 +286,5 @@
 				break;
 			}
-
+			
 			/* calling one of the device's interfaces */
 			
@@ -299,5 +299,5 @@
 				break;
 			}
-
+			
 			/*
 			 * Get the corresponding interface for remote request
@@ -305,11 +305,11 @@
 			 */
 			remote_iface_t *rem_iface = get_remote_iface(iface_idx);
-			assert(NULL != rem_iface);
-
+			assert(rem_iface != NULL);
+			
 			/* get the method of the remote interface */
 			sysarg_t iface_method_idx = IPC_GET_ARG1(call);
 			remote_iface_func_ptr_t iface_method_ptr =
 			    get_remote_method(rem_iface, iface_method_idx);
-			if (NULL == iface_method_ptr) {
+			if (iface_method_ptr == NULL) {
 				// the interface has not such method
 				printf("%s: driver_connection_gen error - "
@@ -348,16 +348,15 @@
 	switch ((sysarg_t) (IPC_GET_ARG1(*icall))) {
 	case DRIVER_DEVMAN:
-		/* handle PnP events from device manager */
+		/* Handle request from device manager */
 		driver_connection_devman(iid, icall);
 		break;
 	case DRIVER_DRIVER:
-		/* handle request from drivers of child devices */
+		/* Handle request from drivers of child devices */
 		driver_connection_driver(iid, icall);
 		break;
 	case DRIVER_CLIENT:
-		/* handle requests from client applications */
+		/* Handle request from client applications */
 		driver_connection_client(iid, icall);
 		break;
-
 	default:
 		/* No such interface */
@@ -368,6 +367,6 @@
 int child_device_register(device_t *child, device_t *parent)
 {
-	assert(NULL != child->name);
-
+	assert(child->name != NULL);
+	
 	int res;
 	
@@ -375,7 +374,9 @@
 	res = devman_child_device_register(child->name, &child->match_ids,
 	    parent->handle, &child->handle);
-	if (EOK == res)
+	if (res != EOK) {
+		remove_from_devices_list(child);
 		return res;
-	remove_from_devices_list(child);
+	}
+	
 	return res;
 }
@@ -395,5 +396,5 @@
 	match_id_t *match_id = NULL;
 	int rc;
-
+	
 	child = create_device();
 	if (child == NULL) {
@@ -401,7 +402,7 @@
 		goto failure;
 	}
-
+	
 	child->name = child_name;
-
+	
 	match_id = create_match_id();
 	if (match_id == NULL) {
@@ -409,15 +410,15 @@
 		goto failure;
 	}
-
+	
 	match_id->id = child_match_id;
 	match_id->score = child_match_score;
 	add_match_id(&child->match_ids, match_id);
-
+	
 	rc = child_device_register(child, parent);
-	if (EOK != rc)
+	if (rc != EOK)
 		goto failure;
-
+	
 	return EOK;
-
+	
 failure:
 	if (match_id != NULL) {
@@ -425,10 +426,10 @@
 		delete_match_id(match_id);
 	}
-
+	
 	if (child != NULL) {
 		child->name = NULL;
 		delete_device(child);
 	}
-
+	
 	return rc;
 }
@@ -441,5 +442,5 @@
 	 */
 	driver = drv;
-
+	
 	/* Initialize the list of interrupt contexts. */
 	init_interrupt_context_list(&interrupt_contexts);
@@ -453,7 +454,7 @@
 	 */
 	devman_driver_register(driver->name, driver_connection);
-
+	
 	async_manager();
-
+	
 	/* Never reached. */
 	return 0;
